openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SRT_GET_TREE_NODE:
    post:
      tags:
      - SRT_KENDOKU
      operationId: /rfc/SRT_GET_TREE_NODE
      requestBody:
        content:
          application/json:
            schema:
              properties:
                TREE_ID:
                  type: string
                  default: ' '
                  maxLength: 32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  PROGRAM:
                    type: string
                    maxLength: 40
                  TCODE:
                    type: string
                    maxLength: 20
                  TEXT:
                    type: string
                    maxLength: 75
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
